import { UniqueID } from "@/core/common/domain";
import { Collection, Result } from "@repo/rdx-utils";
import { User } from "../aggregates";

export interface IUserService {
  findUsers(transaction?: any): Promise<Result<Collection<User>, Error>>;
  findUserById(userId: UniqueID, transaction?: any): Promise<Result<User>>;
}
